
<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button icon="chevron-back"></ion-back-button>
        </ion-buttons>
        <ion-title class="ion-font-lg ion-no-padding">Cuenta</ion-title>
        <ion-buttons *ngIf="tabs.value === 'cuenta'" [@fadeAnimation] slot="end">
            <ion-button [color]="canEdit ? 'danger' : 'dark'" (click)="canEdit = !canEdit">
                <ion-text class="ion-text-capitalize">
                    {{ canEdit ? "Cancelar" : "Editar" }}
                </ion-text>
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-grid class="ion-padding-horizontal">
        <ion-row class="ion-margin-vertical">
            <ion-col>
                <app-img-thumbnail></app-img-thumbnail>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col>
                <ion-segment #tabs value="cuenta" mode="md">
                    <ion-segment-button class="ion-text-capitalize" value="cuenta">
                        Cuenta
                    </ion-segment-button>
                    <ion-segment-button class="ion-text-capitalize" value="otro">
                        Otros
                    </ion-segment-button>
                </ion-segment>
            </ion-col>
        </ion-row><br>

        <ng-container *ngIf="tabs.value === 'cuenta'; else otro">
            <div class="fade-animation">
                <ion-row>
                    <ion-col>
                        <ion-item lines="none">
                            <ion-label position="stacked" color="medium">Nombre de usuario</ion-label>
                            <ion-input class="ion-input-custom"></ion-input>
                        </ion-item>
                    </ion-col>
                </ion-row>
        
                <ion-row>
                    <ion-col>
                        <ion-item lines="none">
                            <ion-label position="stacked" color="medium">Correo electronico</ion-label>
                            <ion-input class="ion-input-custom"></ion-input>
                        </ion-item>
                    </ion-col>
                </ion-row><br>
        
                <ion-row *ngIf="canEdit; else password">
                    <ion-col size="8" class="ion-m-auto">
                        <ion-button expand="block" [disabled]="true">
                            <ion-text class="ion-text-capitalize">
                                <span>Guardar</span>
                            </ion-text>
                        </ion-button>
                    </ion-col>
                </ion-row>
        
                <ng-template #password>
                    <ion-row>
                        <ion-col>
                            <ion-button color="light" routerLink="/app/cuenta/contrasena">
                                <ion-text color="medium" class="ion-text-capitalize">
                                    <small>Cambiar contraseña</small>
                                </ion-text>
                            </ion-button>
                        </ion-col>
                    </ion-row>
                </ng-template>
            </div>
        </ng-container>

        <ng-template #otro>

            <div class="fade-animation">
                <ion-list lines="none" class="ion-pt-0">
                    <ion-item>
                        <ion-label color="dark">
                            <h6 class="ion-font-bold">Creado:</h6>
                            <ion-text color="medium">
                                <small>01-01-2021</small>
                            </ion-text>
                        </ion-label>
                    </ion-item>
                    <ion-item>
                        <ion-label color="dark">
                            <h6 class="ion-font-bold">Total de Pedidos:</h6>
                            <ion-text color="medium">
                                <small>0</small>
                            </ion-text>
                        </ion-label>
                    </ion-item>
                </ion-list>
            </div>

        </ng-template>

    </ion-grid>

</ion-content>

